# WeatherRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class WeatherRequirement

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - WeatherRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:294

##### Index

### Constructors

constructor

### Properties

requiredWeather

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new WeatherRequirement(weather: WeatherType | WeatherType []): WeatherRequirement

  #### Parameters

  - weather: WeatherType | WeatherType []

  #### Returns WeatherRequirement

  Overrides EncounterSceneRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:297

## Properties

### requiredWeather

requiredWeather: WeatherType []

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:295

## Methods

### getDialogueToken

- getDialogueToken(_pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`_pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:315

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:302